petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscClassRegLogGetClass

This function returns the class corresponding to a given classid.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscClassRegLogGetClass(PetscClassRegLog classLog, PetscClassId classid, int *oclass)

Not Collective

### Input Parameters

| classLog | - The PetscClassRegLog
| cookie | - The cookie

### Output Parameter

oclass -The class id

### Keywords

log, class, register

### See Also

PetscClassIdRegister(), PetscLogObjCreateDefault(), PetscLogObjDestroyDefault()

Level:developer
Location:src/sys/logging/utils/classlog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages